#!/usr/bin/env node
import { resolve } from 'pathe';
import mri from 'mri';
import { b as build } from './shared/unbuild.b66f2bd8.mjs';
import 'module';
import 'fs';
import 'chalk';
import 'consola';
import 'defu';
import 'hookable';
import 'pretty-bytes';
import 'globby';
import 'mkdirp';
import 'fs/promises';
import 'util';
import 'rimraf';
import 'jiti';
import 'url';
import 'rollup';
import '@rollup/plugin-commonjs';
import '@rollup/plugin-node-resolve';
import '@rollup/plugin-alias';
import 'rollup-plugin-esbuild';
import 'rollup-plugin-dts';
import '@rollup/plugin-replace';
import 'mlly';
import '@rollup/plugin-json';
import '@rollup/pluginutils';
import 'magic-string';
import 'untyped';
import 'untyped/babel-plugin';
import 'scule';
import 'mkdist';

async function main() {
  const args = mri(process.argv.splice(2));
  const rootDir = resolve(process.cwd(), args._[0] || ".");
  await build(rootDir, args.stub).catch((err) => {
    console.error(`Error building ${rootDir}: ${err}`);
    throw err;
  });
}
main().catch((err) => {
  console.error(err);
  process.exit(1);
});
